%define upstream_name    ExtUtils-Manifest
%define upstream_version 1.70

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Utilities for managing MANIFEST files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Functions
    ExtUtils::Manifest exports no functions by default. The following are
    exported on request

    * mkmanifest

          mkmanifest();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.700.0-3.mga6
+ Revision: 1027211
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.700.0-2.mga6
+ Revision: 966619
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 1.700.0-1.mga6
+ Revision: 846216
- update to 1.70

* Wed Oct 15 2014 umeabot <umeabot> 1.660.0-3.mga5
+ Revision: 742057
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.660.0-2.mga5
+ Revision: 684687
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 1.660.0-1.mga5
+ Revision: 670593
- update to 1.66

* Sun Aug 10 2014 sander85 <sander85> 1.650.0-1.mga5
+ Revision: 661427
- update to 1.65

* Fri Jul 18 2014 sander85 <sander85> 1.640.0-1.mga5
+ Revision: 653605
- update to 1.64

* Sat Oct 19 2013 umeabot <umeabot> 1.630.0-2.mga4
+ Revision: 534205
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.630.0-1.mga4
+ Revision: 476410
- update to 1.63

* Sun Jan 13 2013 umeabot <umeabot> 1.600.0-3.mga3
+ Revision: 367042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 1.600.0-2.mga2
+ Revision: 162808
- take priority over module bundled with perl 5.14.2
- update to 1.60

* Fri Feb 18 2011 jquelin <jquelin> 1.580.0-5.mga1
+ Revision: 53609
- rebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.580.0-4.mga1
+ Revision: 26123
- mageia rebuild
- imported package perl-ExtUtils-Manifest

